﻿CREATE TABLE [dbo].[Report.JobSeekerAction] (
    [Id]                             BIGINT   NOT NULL,
    [ActionDate]                     DATETIME NOT NULL,
    [PostingsViewed]                 INT      NOT NULL,
    [Logins]                         INT      NOT NULL,
    [ReferralRequests]               INT      NOT NULL,
    [SelfReferrals]                  INT      NOT NULL,
    [StaffReferrals]                 INT      NOT NULL,
    [NotesAdded]                     INT      NOT NULL,
    [AddedToLists]                   INT      NOT NULL,
    [ActivitiesAssigned]             INT      NOT NULL,
    [StaffAssignments]               INT      NOT NULL,
    [EmailsSent]                     INT      NOT NULL,
    [FollowUpIssues]                 INT      NOT NULL,
    [IssuesResolved]                 INT      NOT NULL,
    [Hired]                          INT      NOT NULL,
    [NotHired]                       INT      NOT NULL,
    [FailedToApply]                  INT      NOT NULL,
    [FailedToReportToInterview]      INT      NOT NULL,
    [InterviewDenied]                INT      NOT NULL,
    [InterviewScheduled]             INT      NOT NULL,
    [NewApplicant]                   INT      NOT NULL,
    [Recommended]                    INT      NOT NULL,
    [RefusedOffer]                   INT      NOT NULL,
    [UnderConsideration]             INT      NOT NULL,
    [UsedOnlineResumeHelp]           INT      NOT NULL,
    [SavedJobAlerts]                 INT      NOT NULL,
    [TargetingHighGrowthSectors]     INT      NOT NULL,
    [JobSeekerId]                    BIGINT   NOT NULL,
    [SelfReferralsExternal]          INT      NOT NULL,
    [StaffReferralsExternal]         INT      NOT NULL,
    [ReferralsApproved]              INT      NOT NULL,
    [FindJobsForSeeker]              INT      NOT NULL,
    [FailedToReportToJob]            INT      NOT NULL,
    [FailedToRespondToInvitation]    INT      NOT NULL,
    [FoundJobFromOtherSource]        INT      NOT NULL,
    [JobAlreadyFilled]               INT      NOT NULL,
    [NotQualified]                   INT      NOT NULL,
    [NotYetPlaced]                   INT      NOT NULL,
    [RefusedReferral]                INT      NOT NULL,
    [SurveySatisfied]                INT      NOT NULL,
    [SurveyDissatisfied]             INT      NOT NULL,
    [SurveyNoUnexpectedMatches]      INT      NOT NULL,
    [SurveyUnexpectedMatches]        INT      NOT NULL,
    [SurveyReceivedInvitations]      INT      NOT NULL,
    [SurveyDidNotReceiveInvitations] INT      NOT NULL,
    [SurveyVerySatisfied]            INT      NOT NULL,
    [SurveyVeryDissatisfied]         INT      NOT NULL
);

